Bug 190634 - growisofs writes to disk even if mkisofs has an error.
growisofs writes to disk even if mkisofs has an error.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dvd+rw-tools (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 01:52 EDT by Robin Laing
Modified: 2007-12-03 15:38 EST (History)
3 users (show)

See Also:
Fixed In Version: dvd+rw-tools-7.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 15:38:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Laing 2006-05-04 01:52:47 EDT
Description of problem:
Growisofs will continue to write to a disk, even if mkisofs has an error before
it even starts to process the files.

Version-Release number of selected component (if applicable):
growisofs 5.2
dvd+rw-tools-5.21.4.10.8-6

How reproducible:
Always.

Steps to Reproduce:
1.Have some files that mkisofs won't process such as utf-8 character sets.
2. Run growisofs to write to your burner the files in the directory as indicated. 
3.  The writing can be in any program or frontend that uses growisofs to write
to the media.

  
Actual results:  Growisofs continues to finsh the DVD, even though mkisofs
didn't create any data to be written to the DVD.  Now a coaster exists.



Expected results:
Growisofs shouldn't start any writing process before mkisofs is actually
generating data to write to the DVD.  Growisofs shouldn't try to finish the DVD
if there was no data written to the DVD.  If mkisofs doesn't produce data, then
the DVD should be left blank.

Additional info:
This happens in k3b as well.

This is an issue with error handling.
mkisofs returns this error message when running;
"Incorrectly encoded string (Onan post L'\uffffducation d'Anna.avi) encountered."

The call was growisofs -Z /dev/hdc -R -J *

If the file name is to long, a coaster will be made as well.
Comment 1 Christian Iseli 2007-01-22 06:10:22 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Robin Laing 2007-06-24 18:57:06 EDT
Once I update to F7, I will test this to see if it continues.



Comment 3 Peter van Egdom 2007-11-16 15:54:02 EST
Robin,

Fedora 7 contains "dvd+rw-tools-7.0-3", which has many upstream fixes since
"dvd+rw-tools-5.21.4.10.8-6". Did that version of dvd+rw-tools worked better for
you?
Comment 4 Robin Laing 2007-11-16 23:35:21 EST
I have not done much burning since installing F7.  But I have not been able to
recreate the problem yet so I would close this bug.

Comment 5 Peter van Egdom 2007-12-03 15:38:08 EST
Thanks for updating this bugreport.

Setting status to "CURRENTRELEASE", as per comment #4. If you still experience
this problem at a later time, feel free to reopen this bugreport.

Note You need to log in before you can comment on or make changes to this bug.